# Command: xor

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    xor - logical xor operator.

Synopsis:

    bool1 bool2 xor -> bool

Examples:

    true  false xor -> true
      true  true  xor -> false
      false false xor -> false

Description:

    For booleans, xor returns true, if either,
      but not both of the arguments are true and false
      otherwise.

SeeAlso:

- and
- or
- not

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slimath.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative